%define perl_sitelib %(eval "`perl -V:installsitelib`"; echo $installsitelib)
Summary: A real-time Perl calculator
Name: elca
Version: 1.3
Release: 1
License: GNU GPL
Group: Applications/Egineering
Source: %{name}-%{version}.tar.bz2
Packager: David Necas (Yeti) <yeti@physics.muni.cz>
Vendor: Trific soft.
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: perl-Term-ReadLine-Gnu
Prereq: perl-Term-ReadKey
Prereq: perl-Opt
BuildPrereq: perl >= 5.6.0

%description
Elca (Extended Line Calculator) is a real-time Perl calculator (i.e.,
it evaluates expressions immediately as you type them). It supports
hexadecimal, octal, and binary numbers, complex numbers, variables,
string, list and hash operations, etc. It can convert expressions from
human style to valid Perl code before evaluating them, and has a
mechanism for importing external modules, allowing almost arbitrary
extensions.

%prep
%setup

%build
perl Makefile.PL
sed -e 's:^PREFIX = /usr:PREFIX = '"$RPM_BUILD_ROOT"'%{_prefix}:' Makefile >Makefile2
cat Makefile2 >Makefile
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/elca
%{perl_sitearch}/auto/elca/.packlist
%{_mandir}/man1/elca.1*
%doc ChangeLog README COPYING  config
